Package rainbowPackage

# Class Rainbow3DController

java.lang.Object
rainbowPackage.Rainbow3DController

All Implemented Interfaces:
  `javafx.fxml.Initializable`

public class Rainbow3DController extends Object implements javafx.fxml.Initializable

Author:
  larry https://www.softwaredeveloperzone.com/simple-3d-graphics-javafx/

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `Rainbow3DController.Point2D`
  `class`
  `Rainbow3DController.Point3D`
  `class`
  `Rainbow3DController.Surface3D`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `CENTER_ISO`
  `final int`
  `LEFT_ISO`
  `int`
  `originX`
  `int`
  `originY`
  `final int`
  `RIGHT_ISO`
  `float`
  `ySkew`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rainbow3DController()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `draw2DShapes()`
  `void`
  `initialize(URL url, ResourceBundle rb)`
  `void`
  `setTransformMode(int mode)`
  `Rainbow3DController.Point2D`
  `transform3D(Rainbow3DController.Point3D point3D)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LEFT_ISO

    public final int LEFT_ISO
    See Also:
      - Constant Field Values

  - ### CENTER_ISO

    public final int CENTER_ISO
    See Also:
      - Constant Field Values

  - ### RIGHT_ISO

    public final int RIGHT_ISO
    See Also:
      - Constant Field Values

  - ### ySkew

    public float ySkew

  - ### originX

    public int originX

  - ### originY

    public int originY

- ## Constructor Details

  - ### Rainbow3DController

    public Rainbow3DController() throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### setTransformMode

    public void setTransformMode(int mode)

  - ### transform3D

    public Rainbow3DController.Point2D transform3D(Rainbow3DController.Point3D point3D) throws Exception
    Throws:
      `Exception`

  - ### draw2DShapes

    public void draw2DShapes()

  - ### initialize

    public void initialize(URL url, ResourceBundle rb)
    Specified by:
      `initialize` in interface `javafx.fxml.Initializable`